/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef COLORCOMBO_H
#define COLORCOMBO_H

// Qt
#include <QtGui/QComboBox>


class ColorCombo : public QComboBox
{
    Q_OBJECT


public:
    explicit ColorCombo(QWidget *parent = 0);
    ~ColorCombo();

    QColor currentColor() const;

    void addColor(const QColor &color);
    void addColor(const Qt::GlobalColor &color);
    void setCurrentColor(const QColor &color);
    void setCurrentColor(const Qt::GlobalColor &color);


private slots:
        void itemChanged(const int &index);


signals:
    void colorChanged(const QColor &newColor);


};


#endif // COLORCOMBO_H
