/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


// own
#include "chatconfigpage.h"
#include "ui_chatconfigpage.h"
#include "config.h"


ChatConfigPage::ChatConfigPage(QWidget *parent)
    : ConfigPage(parent),
    ui(new Ui::ChatConfigPage)
{

    ui->setupUi(this);

}


ChatConfigPage::~ChatConfigPage()
{

    delete ui;

}


QString ChatConfigPage::title() const
{

    return tr("Chat");

}


QString ChatConfigPage::icon() const
{

    return "chat";

}


void ChatConfigPage::load()
{

    ui->rollCheck->setChecked(Config::self()->isChatMessageEnabled(Config::DiceRollType));
    ui->chatCheck->setChecked(Config::self()->isChatMessageEnabled(Config::PlayerChatType));
    ui->joinLeftCheck->setChecked(Config::self()->isChatMessageEnabled(Config::PlayerJoinedLeftType));

}


void ChatConfigPage::save()
{

    Config::self()->setChatMessageEnabled(Config::DiceRollType, ui->rollCheck->isChecked());
    Config::self()->setChatMessageEnabled(Config::PlayerChatType, ui->chatCheck->isChecked());
    Config::self()->setChatMessageEnabled(Config::PlayerJoinedLeftType, ui->joinLeftCheck->isChecked());

}


void ChatConfigPage::defaults()
{

    ui->rollCheck->setChecked(true);
    ui->chatCheck->setChecked(true);
    ui->joinLeftCheck->setChecked(true);

}


void ChatConfigPage::saveDefaults(Config *config)
{

    config->setChatMessageEnabled(Config::DiceRollType, true);
    config->setChatMessageEnabled(Config::PlayerChatType, true);
    config->setChatMessageEnabled(Config::PlayerJoinedLeftType, true);

}


