/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef KEYSCONFIGPAGE_H
#define KEYSCONFIGPAGE_H


// own
#include "configpage.h"


namespace Ui {
    class KeysConfigPage;
}

class Config;
class KeyButton;
class KeysConfigPage : public ConfigPage
{
    Q_OBJECT


public:
    explicit KeysConfigPage(QWidget *parent = 0);
    ~KeysConfigPage();

    QString title() const;
    QString icon() const;

    void load();
    void save();
    void defaults();
    static void saveDefaults(Config *config);


private:
    Ui::KeysConfigPage *ui;


private slots:
    void keyRequested(KeyButton *self, const Qt::Key &key);


};


#endif // KEYSCONFIGPAGE_H
