/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

// own
#include "proxyconfigpage.h"
#include "ui_proxyconfigpage.h"
#include "config.h"

// Qt
#include <QtNetwork/QNetworkProxy>


ProxyConfigPage::ProxyConfigPage(QWidget *parent)
    : ConfigPage(parent),
    ui(new Ui::ProxyConfigPage)
{

    ui->setupUi(this);

}


ProxyConfigPage::~ProxyConfigPage()
{

    delete ui;

}


QString ProxyConfigPage::title() const
{

    return tr("Proxy");

}


QString ProxyConfigPage::icon() const
{

    return "network-server";

}


void ProxyConfigPage::load()
{

    QNetworkProxy proxy = QNetworkProxy::applicationProxy();
    ui->hostEdit->setText(proxy.hostName());
    ui->portSpin->setValue(proxy.port());
    ui->userEdit->setText(proxy.user());
    ui->passwordEdit->setText(proxy.password());

}


void ProxyConfigPage::save()
{

    QNetworkProxy proxy = QNetworkProxy::applicationProxy();
    proxy.setHostName(ui->hostEdit->text());
    proxy.setPort(ui->portSpin->value());
    proxy.setUser(ui->userEdit->text());
    proxy.setPassword(ui->passwordEdit->text());
    QNetworkProxy::setApplicationProxy(proxy);

    Config::self()->saveProxy();

}


void ProxyConfigPage::defaults()
{

    ui->hostEdit->clear();
    ui->portSpin->setValue(0);
    ui->userEdit->clear();
    ui->passwordEdit->clear();

}


void ProxyConfigPage::saveDefaults(Config *config)
{

    QNetworkProxy proxy;
    QNetworkProxy::setApplicationProxy(proxy);
    config->saveProxy();

}

