/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef THEMECONFIGPAGE_H
#define THEMECONFIGPAGE_H


// own
#include "configpage.h"


namespace Ui {
    class ThemeConfigPage;
}

class Config;
class ThemeConfigPage : public ConfigPage
{
    Q_OBJECT


public:
    explicit ThemeConfigPage(QWidget *parent = 0);
    ~ThemeConfigPage();

    QString title() const;
    QString icon() const;

    void load();
    void save();
    void defaults();
    static void saveDefaults(Config *config);


private:
    enum DataRole {
        NameRole = Qt::DisplayRole,
        DescriptionRole = Qt::UserRole+1,
        VersionRole = Qt::UserRole+2,
        AuthorRole = Qt::UserRole+3,
        ContactRole = Qt::UserRole+4,
        PreviewRole = Qt::UserRole+5
    };

    Ui::ThemeConfigPage *ui;


private slots:
    void themeSelectionChanged();


};


#endif // THEMECONFIGPAGE_H
