/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef DESKTOPFILE_H
#define DESKTOPFILE_H


// Qt
#include <QtCore/QString>
#include <QtCore/QHash>


class DesktopFile
{


public:
    DesktopFile(const QString &file);
    ~DesktopFile();

    QString error() const;
    bool init();
    QString value(const QString &section, const QString &key) const;


private:
    QString m_file;
    QString m_error;
    typedef QHash<QString, QString> Section;
    QHash<QString, Section*> m_data;


};


#endif // DESKTOPFILE_H
