/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef CONNECTINGDIALOG_H
#define CONNECTINGDIALOG_H

// Qt
#include <QtGui/QDialog>
#include <QtNetwork/QAbstractSocket>

namespace Ui {
    class ConnectingDialog;
}
namespace QFC {
    class Client;
}

class ConnectingDialog : public QDialog
{
    Q_OBJECT


public:
    ~ConnectingDialog();

    static void start(QWidget *parent, QFC::Client *client);


private:
    explicit ConnectingDialog(QFC::Client *client, QWidget *parent = 0);

    Ui::ConnectingDialog *ui;
    QFC::Client *m_client;


private slots:
    void dialogFinished(const int &result);
    void connected();
    void disconnected();
    void error(const QAbstractSocket::SocketError &socketError);
    void hostFound();
    void proxyAuthenticationRequired(const QNetworkProxy &proxy, QAuthenticator *authenticator);
    void stateChanged(const QAbstractSocket::SocketState &socketState);


};


#endif // CONNECTINGDIALOG_H
