/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/



// own
#include "keydialog.h"
#include "ui_keydialog.h"

// lib
#include <QFrustrationSharedGUI/global.h>


KeyDialog::KeyDialog(const int &gameID, QWidget *parent)
    : QDialog(parent),
    ui(new Ui::KeyDialog),
      m_gameID(gameID)
{

    setAttribute(Qt::WA_DeleteOnClose, true);

    ui->setupUi(this);
    setWindowIcon(FRUST_ICON("secure-card"));
    ui->okButton->setIcon(FRUST_ICON("dialog-ok"));
    ui->cancelButton->setIcon(FRUST_ICON("dialog-cancel"));

    connect(this, SIGNAL(finished(int)), this, SLOT(dialogFinished(int)));

    setMaximumHeight(minimumSizeHint().height());

}


KeyDialog::~KeyDialog()
{

    delete ui;

}


QString KeyDialog::key() const
{

    return ui->keyLine->text();

}


int KeyDialog::gameID() const
{

    return m_gameID;

}


void KeyDialog::dialogFinished(const int &result)
{

    if (result == QDialog::Accepted) {
        emit finished(this);
    }

}
