/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

// own
#include "startserverdialog.h"
#include "ui_startserverdialog.h"
#include "localservertab.h"

// lib
#include <QFrustrationSharedGUI/global.h>

// lib
#include <QFrustrationLib/server.h>


StartServerDialog::StartServerDialog(const bool &publicServer, LocalServerTab *tab, QWidget *parent)
    : QDialog(parent),
    ui(new Ui::StartServerDialog)
{

    m_tab = tab;
    m_public = publicServer;

    setWindowIcon(FRUST_ICON("network-server"));

    ui->setupUi(this);
    ui->portSpin->setSpecialValueText(tr("Automatically"));
    ui->startButton->setIcon(FRUST_ICON("system-run"));
    ui->cancelButton->setIcon(FRUST_ICON("dialog-cancel"));
    connect(ui->startButton, SIGNAL(clicked()), this, SLOT(startClicked()));

    setAttribute(Qt::WA_DeleteOnClose, true);
    setMaximumHeight(minimumSizeHint().height());

}


StartServerDialog::~StartServerDialog()
{

    delete ui;

}


void StartServerDialog::startClicked()
{

    if (m_tab->server()) {
        m_tab->stop();
    }
    QFS::Server *server = new QFS::Server(this);

    server->setPort(ui->portSpin->value());
    m_tab->setServer(server, m_public);

    accept();

}

