/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef LOCALSERVERTAB_H
#define LOCALSERVERTAB_H


// Qt
#include <QtGui/QWidget>


namespace QFS {
    class Server;
}

namespace Ui {
    class LocalServerTab;
}


class LocalServerTab : public QWidget {
    Q_OBJECT


public:
    LocalServerTab(QWidget *parent = 0);
    ~LocalServerTab();

    QFS::Server *server() const;
    void setServer(QFS::Server *server, const bool &publicServer);
    void stop();


private:
    Ui::LocalServerTab *ui;
    QFS::Server *m_server;
    qint64 m_rec;
    qint64 m_sent;


private slots:
    void clientConnected(const QString &nick);
    void clientDisconnected(const QString &nick);
    void gameCreated(const QString &name);
    void gameStarted(const QString &name);
    void gameClosed(const QString &name);
    void receivingData(const qint64 &bytes);
    void dataSent(const qint64 &bytes);


};


#endif // LOCALSERVERTAB_H
