/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


// own
#include "mainwindow.h"

// lib
#include <QFrustrationSharedGUI/global.h>

// Qt
#include <QtCore/QDebug>
#include <QtGui/QApplication>
#include <QtCore/QLocale>
#include <QtCore/QTranslator>

#ifdef Q_OS_UNIX
    #include <sys/types.h>
    #include <unistd.h>
#endif


int main(int argc, char *argv[])
{

#ifdef Q_OS_UNIX
    if (geteuid() == 0) {
        fprintf(stderr, qPrintable(QObject::tr("QFrustrationClient is not supposed to be run as root").append("\n")));
        exit(0);
    }
#endif

    QApplication app(argc, argv);
   // Q_INIT_RESOURCE(icons);

    app.setOrganizationName("QFrustration");
    app.setApplicationName("QFrustrationClient");
    app.setApplicationVersion("0.2.1");
    app.setWindowIcon(FRUST_ICON("frust"));

    const QString qm = QString("QFrustration_")+QLocale::system().name();
    const QString qmDir = FrustGlobal::instance()->findFrustDir("tr");

    QTranslator translator;
    qDebug() << "Loading Translation:" << qm << "from" << qmDir;
    if (!translator.load(qm, qmDir)) {
        qWarning() << "Unable to load translation:" << qm << "from" << qmDir;
    } else {
        app.installTranslator(&translator);
    }

    MainWindow w;
    w.show();

    return app.exec();

}
