/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef PLAYERLISTDOCK_H
#define PLAYERLISTDOCK_H

// Qt
#include <QtGui/QDockWidget>


namespace Ui {
    class PlayerListDock;
}


class PlayerListDock : public QDockWidget
{
    Q_OBJECT


public:
    explicit PlayerListDock(QWidget *parent = 0);
    ~PlayerListDock();

    void addPlayer(const QString &nick, const int &id);
    void removePlayer(const QString &nick, const int &id);
    void setSelf(const int &id);
    void setCurrentPlayer(const int &id);


private:
    Ui::PlayerListDock *ui;
    int m_self;


private slots:
    void themeChanged();



};


#endif // PLAYERLISTDOCK_H
