/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef SOUNDCORE_H
#define SOUNDCORE_H


// Qt
#include <QtCore/QObject>
#include <QtCore/QHash>


namespace Phonon {
    class AudioOutput;
    class MediaObject;
}


class SoundCore : public QObject
{
    Q_OBJECT


public:
    explicit SoundCore(QObject *parent = 0);
    ~SoundCore();

    void playFile(const QString &file);
    void play(const QString &key);
    void addSound(const QString &key, const QString &file);


private:
    bool m_enabled;
    QHash<QString, QString> m_sounds;
#ifdef HAVE_PHONON
    QList<Phonon::MediaObject*> m_channels;
    QList<Phonon::MediaObject*> m_freeChannels;

    Phonon::MediaObject *getChannel();
#endif


private slots:
    void configChanged();
    void channelFinished();


};


#endif // SOUNDCORE_H
