/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef CONFIGTABWIDGET_H
#define CONFIGTABWIDGET_H


// Qt
#include <QtGui/QListWidget>


class ConfigPage;
class ConfigTabWidget : public QListWidget
{
    Q_OBJECT


public:
    explicit ConfigTabWidget(QWidget *parent = 0);
    ~ConfigTabWidget();

    QSize sizeHint() const;


    QList<ConfigPage*> tabs() const;

    void addTab(ConfigPage *tab);


private slots:
    void tabClicked(QListWidgetItem *item);
    void tabSelectionChanged();


signals:
    void tabRequested(QWidget *tab);


};


#endif // CONFIGTABWIDGET_H
