/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef KEYBUTTON_H
#define KEYBUTTON_H


// Qt
#include <QtGui/QPushButton>


class KeyButton : public QPushButton
{
    Q_OBJECT


public:
    explicit KeyButton(QWidget *parent = 0);
    ~KeyButton();

    Qt::Key key() const;

    void setKey(const Qt::Key &key);
    void reset();


private:
    Qt::Key m_currentKey;


private slots:
    void start();


protected:
    void keyPressEvent(QKeyEvent *event);
    void keyReleaseEvent(QKeyEvent *event);


signals:
    void keyRequested(KeyButton *self, const Qt::Key &key);


};


#endif // KEYBUTTON_H
