/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

// own
#include "soundfilerequester.h"
#include "config.h"
#include "soundcore.h"

// lib
#include <QFrustrationSharedGUI/global.h>

// Qt
#include <QtGui/QToolButton>
#include <QtGui/QLayout>
#include <QtCore/QFileInfo>


SoundFileRequester::SoundFileRequester(QWidget *parent)
    : FileRequester(parent)
{

    Q_ASSERT(layout());

    QToolButton *playButton = new QToolButton(this);
    connect(playButton, SIGNAL(clicked()), this, SLOT(play()));
    playButton->setIcon(FRUST_ICON("media-playback-start"));
    playButton->setText(tr("Play"));
    layout()->addWidget(playButton);

}


SoundFileRequester::~SoundFileRequester()
{


}


void SoundFileRequester::play()
{

    if (QFileInfo(file()).exists()) {
        Config::self()->sound()->playFile(file());
    }

}
