/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


// own
#include "buildwaydialog.h"
#include "ui_buildwaydialog.h"

BuildWayDialog::BuildWayDialog(QWidget *parent)
    : QDialog(parent)
{

    ui = new Ui::BuildWayDialog;
    ui->setupUi(this);

    ui->typeCombo->addItem(tr("Target"), (int) QF::Layout::TargetType);
    ui->typeCombo->addItem(tr("Home"), (int) QF::Layout::HomeType);
    ui->typeCombo->addItem(tr("Way"), (int) QF::Layout::WayType);

    connect(ui->buildButton, SIGNAL(clicked()), this, SLOT(accept()));
    connect(ui->cancelButton, SIGNAL(clicked()), this, SLOT(reject()));

}


BuildWayDialog::~BuildWayDialog()
{

    delete ui;

}


int BuildWayDialog::playerID() const
{

    return ui->playerSpin->value();

}


QF::Layout::FieldType BuildWayDialog::fieldType() const
{

    return (QF::Layout::FieldType) ui->typeCombo->itemData(ui->typeCombo->currentIndex()).toInt();


}


int BuildWayDialog::startIndex() const
{

    return ui->startIndexSpin->value();

}


