/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

// own
#include "mainwindow.h"

// lib
#include <QFrustrationSharedGUI/global.h>

// Qt
#include <QtGui/QApplication>
#include <QtCore/QTranslator>
#include <QtCore/QLocale>
#include <QtCore/QDebug>


int main(int argc, char *argv[])
{

    QApplication app(argc, argv);

    app.setOrganizationName("QFrustration");
    app.setApplicationName("QFrustrationCreator");
    app.setApplicationVersion("0.2.1");
    app.setWindowIcon(FRUST_ICON("frust"));

    const QString qm = QString("QFrustration_")+QLocale::system().name();
    const QString qmDir = FrustGlobal::instance()->findFrustDir("tr");

    QTranslator translator;
    qDebug() << "Loading Translation:" << qm << "from" << qmDir;
    if (!translator.load(qm, qmDir)) {
        qWarning() << "Unable to load translation:" << qm << "from" << qmDir;
    } else {
        app.installTranslator(&translator);
    }


    MainWindow w;
    w.show();

    return app.exec();

}
