/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef MAINWINDOW_H
#define MAINWINDOW_H

// own
#include "mapmakerview.h"

// Qt
#include <QtGui/QMainWindow>


namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT


public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();


private:
    Ui::MainWindow *ui;

    QAction *getAction(const QString &name);


private slots:
    void saveClicked();
    void getSaveFile();
    void saveLayout(const QString &file);
    void loadClicked();
    void loadLayout(const QString &file);
    void wayModetriggered(const bool &checked);
    void addModetriggered(const bool &checked);
    void removeModetriggered(const bool &checked);
    void editModeChanged(const MapMakerView::EditMode &mode);
    void showAbout();


};


#endif // MAINWINDOW_H
