/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef CLIENT_P_H
#define CLIENT_P_H


// Qt
#include <QtNetwork/QTcpSocket>


namespace QFS {


class Server;
class Client;
class ClientPrivate : public QTcpSocket
{
    Q_OBJECT


public:
    ClientPrivate(Client *parent, Server *s);
    ~ClientPrivate();

    Server *server;
    int pingTimer;
    bool gotPong;
    QString nick;

    void ping();


private:
    Client *q;

    QByteArray m_buffer;

    void pong();
  //  void sendMaximumPlayers();
  // void sendPlayerList();


private slots:
    void clientDisconnected();
    void socketEerror(const QAbstractSocket::SocketError &error);
    void clientConnected();
    void incomingData();


protected:
    void timerEvent(QTimerEvent *event);


};


}


#endif // CLIENT_P_H
