/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef LAYOUT_P_H
#define LAYOUT_P_H

// own
#include "layout.h"

// Qt
#include <QtCore/QHash>


namespace QF {


class Layout;
class LayoutPrivate {


public:
    LayoutPrivate(Layout *parent);
    ~LayoutPrivate();

    QHash<int/*index*/, QF::Layout::Field> m_layout;
    QHash<int/*playerID*/, QList<int> > m_playerTargets;
    QHash<int/*playerID*/, QList<int> > m_playerHomes;
    QHash<int/*playerID*/, int> m_playerStarts;
    QHash<int/*playerID*/, int> m_playerLasts;
    QHash<int/*index*/, QF::Layout::FieldType> m_way;

    int rows;
    int columns;
    int players;
    int stones;


private:
    Layout *q;


};


}


#endif // LAYOUT_P_H
