/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


// own
#include "stone.h"
#include "stone_p.h"


namespace QF {


StonePrivate::StonePrivate(Stone *parent, const int &pID, const int &sID, const int &gID)
    : QObject(parent)
{

    playerID = pID;
    stoneID = sID;
    gameID = gID;

}


StonePrivate::~StonePrivate()
{


}


Stone::Stone(QObject *parent, const int &playerID, const int &stoneID, const int &gameID)
    : QObject(parent),
    d(new StonePrivate(this, playerID, stoneID, gameID))
{


}


Stone::~Stone()
{

    delete d;

}


int Stone::playerId() const
{

    return d->playerID;

}


int Stone::stoneId() const
{

    return d->stoneID;

}


int Stone::gameId() const
{

    return d->gameID;

}


QString Stone::player() const
{

    return d->player;

}


int Stone::id() const
{

    return d->id;

}


int Stone::pos() const
{

    return d->pos;

}


void Stone::setPos(const int &newPos)
{

    const int from = d->pos;
    d->pos = newPos;
    emit posChanged(this);
    emit moved(from, newPos);

}


} // namespace QF
