/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef STONE_H
#define STONE_H


// own
#include "QFrustrationLib_global.h"

// Qt
#include <QtCore/QObject>


namespace QF {


class StonePrivate;
class QFRUSTRATIONLIBSHARED_EXPORT Stone : public QObject
{
    Q_OBJECT


public:
    explicit Stone(QObject *parent, const int &playerID, const int &stoneID, const int &gameID);

    ~Stone();

    int playerId() const;
    int stoneId() const;
    int gameId() const;

    QString player() const;
    int id() const;
    int pos() const;

    void setPos(const int &newPos);


private:
    StonePrivate *d;


signals:
    void posChanged(QF::Stone *self);
    void moved(const int &from, const int &to);


};


} // namespace QF


#endif // STONE_H
